CenPOS

How to enable CenPOS ACH on a merchant.

CenPOS is a payment gateway supporting ACH (Check) sale, load, and void through the CenPOS REST transaction API.

Features

Payment Sale Payments are authorized and immediately captured using ACH payment methods.

Resources

Configuration

Obtain API credentials (username and password) and your merchant ID from CenPOS. Use the staging host (abistaging.cenpos.net) for testing and production host for live traffic.

This table describes the required or possible attributes needed to configure a merchant product for this type.

NameTypeDescriptionRules
hoststring(required) The CenPOS API host. Use the staging host for testing. Examples: abistaging.cenpos.net, abi.cenpos.net.
merchantIdstring(required) CenPOS merchant identifier used in the transaction API path. Examples: 790010220.
basicAuthobject(required) Username and password for Basic authentication. Examples: [object Object].

Enabling this Product

Using create-merchant-product API you can add a new product to your merchant record. Below is an example configuration for the payload of that request.

{
  "line": "payments",
  "product": "ach",
  "provider": "cenpos",
  "config": {
    "host": "abi.cenpos.net",
    "merchantId": "790010220",
    "basicAuth": {
        "username": "integration",
        "password": "your_password_here"
    }
},
  
}

Data Mapping

The following bullet points outline the mapping of data fields between the Authvia platform and the CenPOS system, detailing the correspondence of specific attributes for seamless data integration.

  • Authvia transaction.references.external maps to CenPOS Invoice.InvoiceNumber
  • Authvia transaction.id maps to CenPOS Invoice.InvoiceNumber
  • Authvia transaction.amount maps to CenPOS Invoice.Amount
  • Authvia transaction.currency maps to CenPOS Invoice.CurrencyCode
  • Authvia transaction.paymentMethod.routingNumber maps to CenPOS Check.AbaNumber
  • Authvia transaction.paymentMethod.accountNumber maps to CenPOS Check.AccountNumber
  • Authvia transaction.paymentMethod.identity maps to CenPOS Check.AccountNumberLastFourDigits
  • Authvia transaction.paymentMethod.accountType maps to CenPOS Check.AccountType
  • Authvia transaction.paymentMethod.streetAddress maps to CenPOS Customer.Address.StreetAddress
  • Authvia transaction.paymentMethod.email maps to CenPOS Customer.EmailAddress
  • Authvia transaction.references.gateway maps to CenPOS OriginalReferenceNumber
  • Authvia transaction.stepResults.CHARGE.id maps to CenPOS OriginalReferenceNumber
  • Authvia transaction.references.gateway maps to CenPOS GET /transactions/{referenceNumber}